<?php

namespace KayStrobach\Sitemgr\Controller\Backend;


use KayStrobach\Sitemgr\Domain\Service\CustomerService;
use KayStrobach\Sitemgr\FormEngine\CustomerCreateForm;
use KayStrobach\Sitemgr\Utilities\FormEngineUtility;
use TYPO3\CMS\Backend\Utility\BackendUtility;
use TYPO3\CMS\Core\DataHandling\DataHandler;
use TYPO3\CMS\Core\Utility\GeneralUtility;

class CustomerController extends AbstractBackendController
{
    /**
     * @inject
     * @var \KayStrobach\Sitemgr\Domain\Repository\CustomerRepository
     */
    protected $customerRepository;

    /**
     * @inject
     * @var \KayStrobach\Sitemgr\Utilities\FormEngineUtility
     */
    protected $formEngineUtility;

    protected function initializeAction()
    {
        // avoid non administrative access to controller
        if (!$this->getBackendUserAuthentication()->isAdmin()) {
            $this->redirect(
                'index',
                'Backend\Default'
            );
        }
        parent::initializeAction(); // TODO: Change the autogenerated stub
    }

    /**
     *
     */
    public function indexAction()
    {
        $this->view->assign('customers', $this->customerRepository->findAllinWholeSystem());
    }
}